Fedora Linux Support Community & Resources Center
  #1  
Old 12th April 2011, 08:48 AM
bjorntj Offline
Registered User
 
Join Date: Apr 2006
Posts: 32
linuxfirefox
yum update failes today...

Trying to run yum update fails with this error msg..:

Code:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libGL.so.1 is needed by (installed) mesa-libGLU-7.9-5.fc14.i686
libGL.so.1 is needed by (installed) qt-x11-1:4.7.1-17.fc14.i686
libGL.so.1 is needed by (installed) wine-core-1.3.16-1.fc14.i686
Please report this error in http://yum.baseurl.org/report

Is this a known problem?


Regards,

BTJ
__________________
Someone wrote:
"I understand that if you play a Windows CD backwards you hear strange Satanic messages"
To which someone replied:
"It's even worse than that; play it forwards and it installs Windows"
Reply With Quote
  #2  
Old 12th April 2011, 10:42 AM
dhirajhazra Offline
Registered User
 
Join Date: Mar 2011
Posts: 58
linuxfirefox
Re: yum update failes today...

I got that today too. Have you filed a report?
Reply With Quote
  #3  
Old 12th April 2011, 11:48 AM
hobgoblin Offline
Registered User
 
Join Date: Mar 2011
Posts: 13
linuxfirefox
Re: yum update failes today...

Same here - I filed a report - whether it's been done right or not I've no idea - never filed a report for fedora before.

http://yum.baseurl.org/ticket/685
Reply With Quote
  #4  
Old 13th April 2011, 01:41 AM
zokstar Offline
Registered User
 
Join Date: Feb 2011
Posts: 17
windows_vistaie
Re: yum update failes today...

If you use the gui update, untick the NVIDIA module, and it'll go through
Reply With Quote
  #5  
Old 13th April 2011, 12:06 PM
b8e5n Offline
Registered User
 
Join Date: Apr 2011
Posts: 3
linuxfirefox
Re: yum update failes today...

Same problem, and i've been able to update by unsticking the nvidia cg toolkit doc.
THX zokstar!
Reply With Quote
  #6  
Old 13th April 2011, 12:34 PM
Crayon Offline
Registered User
 
Join Date: Apr 2011
Posts: 6
linuxchrome
Re: yum update failes today...

As I wrote on yum trac system:
Quote:
I solved it installing mesa-libGL.i686, so I think the bug is that it wasn't installed in the first place since it's required instead of the complaining error.
mesa-libGL.i686 is required by mesa-libGLU.i686 (at least) so the problem is why wasn't it installed when we installed mesa-libGLU.i686?

Regards,
Crayon
Reply With Quote
  #7  
Old 13th April 2011, 12:55 PM
kurtdriver Offline
Registered User
 
Join Date: Jul 2005
Location: Vancouver, Canada
Posts: 1,588
linuxfirefox
Re: yum update failes today...

Quote:
Originally Posted by bjorntj View Post
Trying to run yum update fails with this error msg..:

Code:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libGL.so.1 is needed by (installed) mesa-libGLU-7.9-5.fc14.i686
libGL.so.1 is needed by (installed) qt-x11-1:4.7.1-17.fc14.i686
libGL.so.1 is needed by (installed) wine-core-1.3.16-1.fc14.i686
Please report this error in http://yum.baseurl.org/report

Is this a known problem?


Regards,

BTJ
It's not a known problem so much as something that comes up now and then.

Excluding the offending file(s) from the update usually works. The file they depend on isn't quite ready for an update. Usually it'll come in after a couple of days.

Code:
su -c "yum -x mesa-libGLU -x qt-x11 -x wine-core update"
Have you done it with --skip-broken?
Reply With Quote
  #8  
Old 14th April 2011, 12:13 PM
Strangelove070 Offline
Registered User
 
Join Date: Apr 2011
Posts: 6
linuxchrome
Re: yum update failes today...

Quote:
Originally Posted by kurtdriver View Post
It's not a known problem so much as something that comes up now and then.

Excluding the offending file(s) from the update usually works. The file they depend on isn't quite ready for an update. Usually it'll come in after a couple of days.

Code:
su -c "yum -x mesa-libGLU -x qt-x11 -x wine-core update"
Have you done it with --skip-broken?


I tried to use yum -x mesa-libGLU -x qt-x11 -x wine-core --skip-broken update and continues to not working.
Reply With Quote
  #9  
Old 14th April 2011, 01:42 PM
zokstar Offline
Registered User
 
Join Date: Feb 2011
Posts: 17
linuxchrome
Re: yum update failes today...

Is there a way to ignore/hide that update that is trying to come through?
Reply With Quote
  #10  
Old 15th April 2011, 11:58 AM
Strangelove070 Offline
Registered User
 
Join Date: Apr 2011
Posts: 6
linuxfedorafirefox
Re: yum update failes today...

To be more accurate, here's what I am getting on my system:

$
$
$
$ sudo yum update
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Repository google-earth is listed more than once in the configuration
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package Cg-docs.x86_64 0:3.0.0016-1.fc14 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== ================================
Package Arch Version Repository Size
================================================== ================================================== ================================
Updating:
Cg-docs x86_64 3.0.0016-1.fc14 rpmfusion-nonfree-updates 9.1 M

Transaction Summary
================================================== ================================================== ================================
Upgrade 1 Package(s)

Total size: 9.1 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libGL.so.1 is needed by (installed) mesa-libGLU-7.9-5.fc14.i686
libGL.so.1 is needed by (installed) wine-core-1.3.16-1.fc14.i686
Please report this error in http://yum.baseurl.org/report
You could try running: rpm -Va --nofiles --nodigest
$
$
$
$ sudo find / -name libGL* -print
find: `/home/xxxx/.gvfs': Permission denied
/opt/google/earth/free/libGLU.so.1
/usr/share/doc/Cg-docs-3.0.0015/examples/Tools/trace/libGL.so.1
/usr/lib/libGLU.so.1.3.070900
/usr/lib/libGLU.so.1
/usr/lib/nvidia/libGL.so.260.19.36
/usr/lib/nvidia/libGL.so.1
/usr/lib64/libGLC.so.0
/usr/lib64/libGLU.so.1.3.070900
/usr/lib64/libGLC.so.0.0.7
/usr/lib64/libGLU.so.1
/usr/lib64/libGL.so.1.2
/usr/lib64/libGLEW.so.1.5
/usr/lib64/libGLEW.so.1.5.7
/usr/lib64/nvidia/libGL.so.260.19.36
/usr/lib64/nvidia/libGL.so.1
/usr/lib64/libGL.so.1
$
$
$
$ ls -l /usr/lib64/libGL*
lrwxrwxrwx. 1 root root 15 2011-02-27 09:10 /usr/lib64/libGLC.so.0 -> libGLC.so.0.0.7
-rwxr-xr-x. 1 root root 165664 2010-08-18 10:36 /usr/lib64/libGLC.so.0.0.7
lrwxrwxrwx. 1 root root 16 2011-02-06 17:51 /usr/lib64/libGLEW.so.1.5 -> libGLEW.so.1.5.7
-rwxr-xr-x. 1 root root 394536 2011-01-15 00:33 /usr/lib64/libGLEW.so.1.5.7
lrwxrwxrwx. 1 root root 12 2011-02-06 17:51 /usr/lib64/libGL.so.1 -> libGL.so.1.2
-rwxr-xr-x. 1 root root 447848 2010-12-19 15:46 /usr/lib64/libGL.so.1.2
lrwxrwxrwx. 1 root root 20 2011-02-06 17:51 /usr/lib64/libGLU.so.1 -> libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 383128 2010-12-19 15:46 /usr/lib64/libGLU.so.1.3.070900
$
$
$
$ sudo find / -name libGL* -exec ls -l {} \;
find: `/home/xxxx/.gvfs': Permission denied
-rwxr-xr-x. 1 root root 517084 Mar 22 20:11 /opt/google/earth/free/libGLU.so.1
-rw-r--r--. 1 root root 1505144 Nov 15 17:38 /usr/share/doc/Cg-docs-3.0.0015/examples/Tools/trace/libGL.so.1
-rwxr-xr-x. 1 root root 417352 Dec 19 15:46 /usr/lib/libGLU.so.1.3.070900
lrwxrwxrwx. 1 root root 20 Apr 9 09:37 /usr/lib/libGLU.so.1 -> libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 758308 Jan 18 20:28 /usr/lib/nvidia/libGL.so.260.19.36
lrwxrwxrwx. 1 root root 18 Feb 13 12:39 /usr/lib/nvidia/libGL.so.1 -> libGL.so.260.19.36
lrwxrwxrwx. 1 root root 15 Feb 27 09:10 /usr/lib64/libGLC.so.0 -> libGLC.so.0.0.7
-rwxr-xr-x. 1 root root 383128 Dec 19 15:46 /usr/lib64/libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 165664 Aug 18 2010 /usr/lib64/libGLC.so.0.0.7
lrwxrwxrwx. 1 root root 20 Feb 6 17:51 /usr/lib64/libGLU.so.1 -> libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 447848 Dec 19 15:46 /usr/lib64/libGL.so.1.2
lrwxrwxrwx. 1 root root 16 Feb 6 17:51 /usr/lib64/libGLEW.so.1.5 -> libGLEW.so.1.5.7
-rwxr-xr-x. 1 root root 394536 Jan 15 00:33 /usr/lib64/libGLEW.so.1.5.7
-rwxr-xr-x. 1 root root 982568 Jan 18 20:12 /usr/lib64/nvidia/libGL.so.260.19.36
lrwxrwxrwx. 1 root root 18 Feb 13 12:39 /usr/lib64/nvidia/libGL.so.1 -> libGL.so.260.19.36
lrwxrwxrwx. 1 root root 12 Feb 6 17:51 /usr/lib64/libGL.so.1 -> libGL.so.1.2
$
$
$
$ sudo find / -name mesa-libGLU* -exec ls -l {} \;
find: `/home/xxxx/.gvfs': Permission denied
$
Reply With Quote
  #11  
Old 15th April 2011, 12:03 PM
Strangelove070 Offline
Registered User
 
Join Date: Apr 2011
Posts: 6
linuxfedorafirefox
Re: yum update failes today...

To be precise, here's what I am getting today:

Code:
$
$
$
$ sudo yum update
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Repository google-earth is listed more than once in the configuration
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package Cg-docs.x86_64 0:3.0.0016-1.fc14 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================
 Package                  Arch                    Version                          Repository                                  Size
====================================================================================================================================
Updating:
 Cg-docs                  x86_64                  3.0.0016-1.fc14                  rpmfusion-nonfree-updates                  9.1 M

Transaction Summary
====================================================================================================================================
Upgrade       1 Package(s)

Total size: 9.1 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libGL.so.1 is needed by (installed) mesa-libGLU-7.9-5.fc14.i686
libGL.so.1 is needed by (installed) wine-core-1.3.16-1.fc14.i686
Please report this error in http://yum.baseurl.org/report
 You could try running: rpm -Va --nofiles --nodigest
$
$
$
$ sudo find / -name libGL* -print
find: `/home/xxxx/.gvfs': Permission denied
/opt/google/earth/free/libGLU.so.1
/usr/share/doc/Cg-docs-3.0.0015/examples/Tools/trace/libGL.so.1
/usr/lib/libGLU.so.1.3.070900
/usr/lib/libGLU.so.1
/usr/lib/nvidia/libGL.so.260.19.36
/usr/lib/nvidia/libGL.so.1
/usr/lib64/libGLC.so.0
/usr/lib64/libGLU.so.1.3.070900
/usr/lib64/libGLC.so.0.0.7
/usr/lib64/libGLU.so.1
/usr/lib64/libGL.so.1.2
/usr/lib64/libGLEW.so.1.5
/usr/lib64/libGLEW.so.1.5.7
/usr/lib64/nvidia/libGL.so.260.19.36
/usr/lib64/nvidia/libGL.so.1
/usr/lib64/libGL.so.1
$
$
$
$ ls -l /usr/lib64/libGL*
lrwxrwxrwx. 1 root root     15 2011-02-27 09:10 /usr/lib64/libGLC.so.0 -> libGLC.so.0.0.7
-rwxr-xr-x. 1 root root 165664 2010-08-18 10:36 /usr/lib64/libGLC.so.0.0.7
lrwxrwxrwx. 1 root root     16 2011-02-06 17:51 /usr/lib64/libGLEW.so.1.5 -> libGLEW.so.1.5.7
-rwxr-xr-x. 1 root root 394536 2011-01-15 00:33 /usr/lib64/libGLEW.so.1.5.7
lrwxrwxrwx. 1 root root     12 2011-02-06 17:51 /usr/lib64/libGL.so.1 -> libGL.so.1.2
-rwxr-xr-x. 1 root root 447848 2010-12-19 15:46 /usr/lib64/libGL.so.1.2
lrwxrwxrwx. 1 root root     20 2011-02-06 17:51 /usr/lib64/libGLU.so.1 -> libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 383128 2010-12-19 15:46 /usr/lib64/libGLU.so.1.3.070900
$
$
$
$ sudo find / -name libGL* -exec ls -l {} \;
find: `/home/xxxx/.gvfs': Permission denied
-rwxr-xr-x. 1 root root 517084 Mar 22 20:11 /opt/google/earth/free/libGLU.so.1
-rw-r--r--. 1 root root 1505144 Nov 15 17:38 /usr/share/doc/Cg-docs-3.0.0015/examples/Tools/trace/libGL.so.1
-rwxr-xr-x. 1 root root 417352 Dec 19 15:46 /usr/lib/libGLU.so.1.3.070900
lrwxrwxrwx. 1 root root 20 Apr  9 09:37 /usr/lib/libGLU.so.1 -> libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 758308 Jan 18 20:28 /usr/lib/nvidia/libGL.so.260.19.36
lrwxrwxrwx. 1 root root 18 Feb 13 12:39 /usr/lib/nvidia/libGL.so.1 -> libGL.so.260.19.36
lrwxrwxrwx. 1 root root 15 Feb 27 09:10 /usr/lib64/libGLC.so.0 -> libGLC.so.0.0.7
-rwxr-xr-x. 1 root root 383128 Dec 19 15:46 /usr/lib64/libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 165664 Aug 18  2010 /usr/lib64/libGLC.so.0.0.7
lrwxrwxrwx. 1 root root 20 Feb  6 17:51 /usr/lib64/libGLU.so.1 -> libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 447848 Dec 19 15:46 /usr/lib64/libGL.so.1.2
lrwxrwxrwx. 1 root root 16 Feb  6 17:51 /usr/lib64/libGLEW.so.1.5 -> libGLEW.so.1.5.7
-rwxr-xr-x. 1 root root 394536 Jan 15 00:33 /usr/lib64/libGLEW.so.1.5.7
-rwxr-xr-x. 1 root root 982568 Jan 18 20:12 /usr/lib64/nvidia/libGL.so.260.19.36
lrwxrwxrwx. 1 root root 18 Feb 13 12:39 /usr/lib64/nvidia/libGL.so.1 -> libGL.so.260.19.36
lrwxrwxrwx. 1 root root 12 Feb  6 17:51 /usr/lib64/libGL.so.1 -> libGL.so.1.2
$
$
$
$ sudo find / -name mesa-libGLU* -exec ls -l {} \;
find: `/home/xxxx/.gvfs': Permission denied
$
As such, I do have libGL.so.1
Reply With Quote
  #12  
Old 15th April 2011, 12:11 PM
Strangelove070 Offline
Registered User
 
Join Date: Apr 2011
Posts: 6
linuxchrome
Re: yum update failes today...

Bump!

Even with tonight's update, the problem persists.

---------- Post added at 07:11 AM ---------- Previous post was at 07:08 AM ----------

My current results:


$ sudo yum update
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Repository google-earth is listed more than once in the configuration
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package Cg-docs.x86_64 0:3.0.0016-1.fc14 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== ================================
Package Arch Version Repository Size
================================================== ================================================== ================================
Updating:
Cg-docs x86_64 3.0.0016-1.fc14 rpmfusion-nonfree-updates 9.1 M

Transaction Summary
================================================== ================================================== ================================
Upgrade 1 Package(s)

Total size: 9.1 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libGL.so.1 is needed by (installed) mesa-libGLU-7.9-5.fc14.i686
libGL.so.1 is needed by (installed) wine-core-1.3.16-1.fc14.i686
Please report this error in http://yum.baseurl.org/report
You could try running: rpm -Va --nofiles --nodigest
$ sudo find / -name libGL* -exec ls -l {} \;
find: `/home/xxxx/.gvfs': Permission denied
-rwxr-xr-x. 1 root root 517084 Mar 22 20:11 /opt/google/earth/free/libGLU.so.1
-rw-r--r--. 1 root root 1505144 Nov 15 17:38 /usr/share/doc/Cg-docs-3.0.0015/examples/Tools/trace/libGL.so.1
-rwxr-xr-x. 1 root root 417352 Dec 19 15:46 /usr/lib/libGLU.so.1.3.070900
lrwxrwxrwx. 1 root root 20 Apr 9 09:37 /usr/lib/libGLU.so.1 -> libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 758308 Jan 18 20:28 /usr/lib/nvidia/libGL.so.260.19.36
lrwxrwxrwx. 1 root root 18 Feb 13 12:39 /usr/lib/nvidia/libGL.so.1 -> libGL.so.260.19.36
lrwxrwxrwx. 1 root root 15 Feb 27 09:10 /usr/lib64/libGLC.so.0 -> libGLC.so.0.0.7
-rwxr-xr-x. 1 root root 383128 Dec 19 15:46 /usr/lib64/libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 165664 Aug 18 2010 /usr/lib64/libGLC.so.0.0.7
lrwxrwxrwx. 1 root root 20 Feb 6 17:51 /usr/lib64/libGLU.so.1 -> libGLU.so.1.3.070900
-rwxr-xr-x. 1 root root 447848 Dec 19 15:46 /usr/lib64/libGL.so.1.2
lrwxrwxrwx. 1 root root 16 Feb 6 17:51 /usr/lib64/libGLEW.so.1.5 -> libGLEW.so.1.5.7
-rwxr-xr-x. 1 root root 394536 Jan 15 00:33 /usr/lib64/libGLEW.so.1.5.7
-rwxr-xr-x. 1 root root 982568 Jan 18 20:12 /usr/lib64/nvidia/libGL.so.260.19.36
lrwxrwxrwx. 1 root root 18 Feb 13 12:39 /usr/lib64/nvidia/libGL.so.1 -> libGL.so.260.19.36
lrwxrwxrwx. 1 root root 12 Feb 6 17:51 /usr/lib64/libGL.so.1 -> libGL.so.1.2
$
Reply With Quote
  #13  
Old 16th April 2011, 03:28 AM
slimg00dy Offline
Registered User
 
Join Date: Oct 2009
Posts: 14
linuxopera
Re: yum update failes today...

This isn't exactly solving the issue, but it is a work around.

I downloaded Nvidia Cg-toolkit from here
http://download1.rpmfusion.org/nonfr...w/Cg-docs.html (x64)
http://download1.rpmfusion.org/nonfr...w/Cg-docs.html (x86)

Installed the RPM (sudo rpm -ivh "insert RPM file here")
then
sudo yum -y update

Everything works again.
Reply With Quote
  #14  
Old 17th April 2011, 12:19 AM
Strangelove070 Offline
Registered User
 
Join Date: Apr 2011
Posts: 6
linuxfedorafirefox
Re: yum update failes today...

Indeed, downloading the rpm, installing it and re-running yum update solved the problem.

Many thanks for the solution. It was great!!!
Reply With Quote
  #15  
Old 17th April 2011, 02:45 AM
slimg00dy Offline
Registered User
 
Join Date: Oct 2009
Posts: 14
linuxopera
Re: yum update failes today...

Cool cool, glad it worked for you, if someone could mark the thread as solved, that'd be great.
Reply With Quote
Reply

Tags
failes, today, update, yum

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
FC9 update today-yesterday rogdepre Alpha - Beta (Fedora 9 Only) 9 29th April 2008 04:48 PM
Anyone else having update problems today? coyoteboy Using Fedora 7 20th July 2007 01:21 PM
FC4 - grub failes to recognize kernel update. Bill Case Using Fedora 3 4th November 2005 09:22 PM
yum update failes on deps isillight Using Fedora 10 13th April 2005 04:00 PM


Current GMT-time: 17:06 (Friday, 31-10-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat
Ewell Instagram Photos - Lavras da Mangabeira Travel Photos - Bytom